# Class MatButtonHasEnablePermissionDirective

#### Hierarchy (view full)

- HasEnablePermission
  - MatButtonHasEnablePermissionDirective

#### Implements

- OnInit

- Defined in lib/mat-button-has-enable-permission.directive.ts:26

#####
Index

### Constructors

constructor

### Properties

_button
cdr
identifier
injector

### Methods

ngOnDestroy
ngOnInit
setDisabled

## Constructors

### constructor

- new MatButtonHasEnablePermissionDirective(authorization, cdr, injector, scope): MatButtonHasEnablePermissionDirective

- #### Parameters

  - authorization: AuthorizationService
  - cdr: ChangeDetectorRef
  - injector: Injector
  - scope: string

  #### Returns MatButtonHasEnablePermissionDirective

  Overrides HasEnablePermission.constructor

  - Defined in lib/mat-button-has-enable-permission.directive.ts:32

## Properties

### `Private` _button

_button: CanDisable

- Defined in lib/mat-button-has-enable-permission.directive.ts:30

### `Protected` `Readonly` cdr

cdr: ChangeDetectorRef

Inherited from HasEnablePermission.cdr

- Defined in lib/has-enable-permission.ts:28

### identifier

identifier: string

Overrides HasEnablePermission.identifier

- Defined in lib/mat-button-has-enable-permission.directive.ts:28

### `Private` `Readonly` injector

injector: Injector

- Defined in lib/mat-button-has-enable-permission.directive.ts:38

## Methods

### ngOnDestroy

- ngOnDestroy(): void

- #### Returns void

  Inherited from HasEnablePermission.ngOnDestroy

  - Defined in lib/has-enable-permission.ts:60

### ngOnInit

- ngOnInit(): void

- #### Returns void

  Implementation of OnInit.ngOnInit

  Overrides HasEnablePermission.ngOnInit

  - Defined in lib/mat-button-has-enable-permission.directive.ts:50

### setDisabled

- setDisabled(disabled): void

- #### Parameters

  - disabled: boolean

  #### Returns void

  Overrides HasEnablePermission.setDisabled

  - Defined in lib/mat-button-has-enable-permission.directive.ts:46